# Device acceleration

A decision block that checks the acceleration of the device using the built-in sensor.

If the proceed option is set to Immediately, then check the current acceleration without pausing the fiber. If set to When changed, then the fiber will pause until the acceleration comes within the acceleration range, or goes out of range.

If both minimum acceleration and maximum acceleration is set and doesn’t evaluate to `null` then the acceleration must be within the range. If only minimum is set, then the level must be greater than or equal to it. If only maximum is set, then the level must be less than or equal to it. If neither minimum nor maximum is set, then the current acceleration is just assigned to the current acceleration variable without a check.

The gravitational acceleration are filtered out, so a stationary device will have a near zero acceleration.

Note! This block may not be sensitive enough for checking the slow acceleration changes of a car, train, bicycle, etc..

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Minimum acceleration — minimum acceleration in meter/second².
- Maximum acceleration — maximum acceleration in meter/second².

## Output variables

- Current acceleration — variable to assign the current acceleration in meter/second².